Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class EnclosingMethod

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.EnclosingMethod

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnclosingMethod

extends Attribute

This attribute exists for local or anonymous classes and ... there can be only one.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`EnclosingMethod(int nameIndex, int len, DataInputStream dis, ConstantPool cpool)`

Method Summary
`Attribute` | `copy(ConstantPool constant_pool)`
`void` | `dump(DataOutputStream file)` Dump attribute to file stream in binary format.

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnclosingMethod

    public EnclosingMethod(int nameIndex,
                           int len,
                           DataInputStream dis,
                           ConstantPool cpool)
                    throws IOException

Throws:
  `IOException`

Method Detail

### copy

    public Attribute copy(ConstantPool constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Description copied from class: `Attribute`
  Dump attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.